CVE-2014-0107 Details

CVE-2014-0107

Published: 2014-04-15
Last Modified: 2019-04-23
CVE Author: NIST National Vulnerability Database
CVE Assigner: cve@mitre.org
Summary

The TransformerFactory in Apache Xalan-Java before 2.7.2 does not properly restrict access to certain properties when FEATURE_SECURE_PROCESSING is enabled, which allows remote attackers to bypass expected restrictions and load arbitrary classes or access external resources via a crafted (1) xalan:content-header, (2) xalan:entities, (3) xslt:content-header, or (4) xslt:entities property, or a Java property that is bound to the XSLT 1.0 system-property function.

Analysis
Common Vulnerability Score System v2.0
Severity High
Base Score 7.5/10
Exploit Score 10/10
Access Vector Network
Access Complexity Low
Authentication None
Impact Score 6.4/10
Confidentiality Impact Partial
Availability Impact Partial
Integrity Impact Partial
Vector String AV:N/AC:L/Au:N/C:P/I:P/A:P
Common Vulnerability Score System v3.1

NIST has not assigned a CVSSv3.1 Score.

Products Reported
CPE Vulnerable Start Excluding
cpe:2.3:a:apache:xalan-java:1.0.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:2.0.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:2.0.1:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:2.1.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:2.2.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:2.4.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:2.4.1:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:2.5.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:2.5.1:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:2.5.2:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:2.6.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:2.7.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:apache:xalan-java:*:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:oracle:webcenter_sites:7.6.2:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:oracle:webcenter_sites:11.1.1.8.0:*:*:*:*:*:*:* Yes - -
References

http://rhn.redhat.com/errata/RHSA-2014-0348.html
http://rhn.redhat.com/errata/RHSA-2014-1351.html
http://rhn.redhat.com/errata/RHSA-2015-1888.html
http://secunia.com/advisories/57563
http://secunia.com/advisories/59036
http://secunia.com/advisories/59151
http://secunia.com/advisories/59247
http://secunia.com/advisories/59290
http://secunia.com/advisories/59291
http://secunia.com/advisories/59369
http://secunia.com/advisories/59515
http://secunia.com/advisories/59711
http://secunia.com/advisories/60502
http://svn.apache.org/viewvc?view=revision&revision=1581058
http://www.debian.org/security/2014/dsa-2886
http://www.ibm.com/support/docview.wss?uid=swg21677967
http://www.ocert.org/advisories/ocert-2014-002.html
http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html
http://www.oracle.com/technetwork/topics/security/cpujan2016-2367955.html
http://www.securityfocus.com/bid/66397
http://www.securitytracker.com/id/1034711
http://www.securitytracker.com/id/1034716
http://www-01.ibm.com/support/docview.wss?uid=swg21674334
http://www-01.ibm.com/support/docview.wss?uid=swg21676093
http://www-01.ibm.com/support/docview.wss?uid=swg21677145
http://www-01.ibm.com/support/docview.wss?uid=swg21680703
http://www-01.ibm.com/support/docview.wss?uid=swg21681933
https://exchange.xforce.ibmcloud.com/vulnerabilities/92023
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05324755
https://issues.apache.org/jira/browse/XALANJ-2435
https://lists.apache.org/thread.html/519eb0fd45642dcecd9ff74cb3e71c20a4753f7d82e2f07864b
https://lists.apache.org/thread.html/b0656d359c7d40ec9f39c8cc61bca66802ef9a2a12ee199f5b0
https://security.gentoo.org/glsa/201604-02
https://www.oracle.com/technetwork/security-advisory/cpuapr2019-5072813.html
https://www.tenable.com/security/tns-2018-15

CVE ID
CVE-2014-0107
Published
2014-04-15
Modified
2019-04-23
CVSSv2.0
High
PCI Compliance
Fail
US-CERT Alert
No
CWE
CWE-264

Free Vulnerability Scanning, Assessment and Management

Mageni's Platform is packed with all the features you need to scan, assess and manage vulnerabilities like this - it is free, open source, lightning fast, reliable and scalable.

Router
Servers
Laptop
Database
Group
Cloud

Frequently Asked Questions

No, you can scan concurrently as many assets as you want. Please note that you must be aware of the hardware requeriments of the platform to ensure a good performance.

No, you can add as many assest as you want. It doesn't matters if you have millions of assets, we won't charge you for that.

No. The software is completely free. We have no intention to charge you to use the software, in fact - it completely goes against our beliefs and business model.

A vulnerability is defined in the ISO 27002 standard as “A weakness of an asset or group of assets that can be exploited by one or more threats” (International Organization for Standardization, 2005)

We generate revenue by providing support and other services for customers that require a subscription so they get guaranteed support and enterprise services. To use Mageni's Platform is completely free, with no limits at all.

Yes. Mageni understands that there are professionals and businesses that need commercial support so Mageni provides an active support subscription with everything needed to run Mageni's Platform reliably and securely. More than software, it's access to security experts, knowledge resources, security updates, and support tools you can't get anywhere else. The subscription includes:

  • Ongoing delivery
    • Patches
    • Bug fixes
    • Updates
    • Upgrades
  • Technical support
    • 24/7 availability
    • Unlimited Incidents
    • Specialty-based routing
    • Multi-Channel
  • Commitments
    • Software certifications
    • Software assurance
    • SLA

No, we don't store the information of your vulnerabilities in our servers.

Vulnerability management is the process in which vulnerabilities in IT are identified and the risks of these vulnerabilities are evaluated. This evaluation leads to correcting the vulnerabilities and removing the risk or a formal risk acceptance by the management of an organization. The term vulnerability management is often confused with vulnerability scanning. Despite the fact both are related, there is an important difference between the two. Vulnerability scanning consists of using a computer program to identify vulnerabilities in networks, computer infrastructure or applications. Vulnerability management is the process surrounding vulnerability scanning, also taking into account other aspects such as risk acceptance, remediation etc. Source: "Implementing a Vulnerability Management Process". SANS Institute.

I am ready to start scanning for vulnerabilities